> ## Documentation Index
> Fetch the complete documentation index at: https://docs.forestreet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an iconographic symbol by name

> Attempts to retrieve an iconographic symbol by its name from the Noun Project API.
    
    This endpoint supports both JSON and PNG responses.

    If the icon is not found and a PNG response is requested, it will return a fallback icon in form of
    a magnifying glass.



## OpenAPI

````yaml get /v2/assets/icons/{iconName}
openapi: 3.0.0
info:
  title: Forestreet API
  version: 1.0.0
  description: API documentation for Forestreet API
servers:
  - url: https://rest.forestreet.com
    description: Forestreet API V2 server
security:
  - apiKeyAuth: []
  - bearerAuth: []
  - sessionIdQuery: []
tags: []
paths:
  /v2/assets/icons/{iconName}:
    get:
      tags:
        - Assets
      summary: Get an iconographic symbol by name
      description: >-
        Attempts to retrieve an iconographic symbol by its name from the Noun
        Project API.
            
            This endpoint supports both JSON and PNG responses.

            If the icon is not found and a PNG response is requested, it will return a fallback icon in form of
            a magnifying glass.
      parameters:
        - schema:
            type: string
            minLength: 1
            maxLength: 100
            description: Name of the icon to retrieve.
          required: true
          description: Name of the icon to retrieve.
          name: iconName
          in: path
        - schema:
            type: string
            minLength: 1
            maxLength: 100
            description: Fallback icon name to use if the requested icon is not found.
          required: false
          description: Fallback icon name to use if the requested icon is not found.
          name: fallbackTo
          in: query
        - schema:
            type: string
            enum:
              - image/png
              - application/json
            default: image/png
            description: >-
              Content type for the image endpoint. Defaults to 'image/png'. Use
              'application/json' to get base64 encoded image.
          required: false
          description: >-
            Content type for the image endpoint. Defaults to 'image/png'. Use
            'application/json' to get base64 encoded image.
          name: contentType
          in: query
      responses:
        '200':
          description: Iconographic symbol by name response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
        '404':
          description: Icon not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the asset was successfully retrieved.
                  data:
                    type: string
                    description: Base64 encoded asset data.
                required:
                  - success
                  - data
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        Pass a static API key for every request, provided by your customer
        support.
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token authentication, using a sessionId generated by `GET
        /v2/auth/session`.
    sessionIdQuery:
      type: apiKey
      in: query
      name: sessionId
      description: >-
        Session ID passed as a query parameter for authentication, provided by
        `GET /v2/auth/session`.

````